/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.MonitoringProvinsi;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface MonitoringEjbHome {
    
     public List<MonitoringProvinsi> findByTahunLaporanMP(int tahun, int idlaporan,int idbas, String kdperiode);

    public List<MonitoringProvinsi> findByTahunLaporanMW(int tahun, int idlaporan,int idbas,String kdperiode);
    
    public List<MonitoringProvinsi> findByTahun(int tahun,int idbas,String kdperiode);
    
        public List<MonitoringProvinsi> findByTahunLaporanMN(int tahun, int idbas,String kdperiode);
    
         public List<MonitoringProvinsi> findByTahunLaporanMPLak(int tahun, int idlaporan,String kdperiode);

    public List<MonitoringProvinsi> findByTahunLaporanMWLak(int tahun, int idlaporan,String kdperiode);
    
        public List<MonitoringProvinsi> findByTahunLaporanMNLak(int tahun, String kdperiode);
}
